### Method

# Gimp Image list_paths

since: 3.0

#### Declaration [src]

    GList*
    gimp_image_list_paths (
      GimpImage* image
    )

#### Description [src]

Returns the list of paths contained in the specified image.

This procedure returns the list of paths contained in the specified image.

Available since: 3.0

This method is not directly available to language bindings.

#### Return value

Type: A list of `GimpPath*`

         The list of paths contained in the image.
         The returned value must be freed with g_list_free(). Path
         elements belong to libgimp and must not be freed.

The caller of the method takes ownership of the returned data container, but not the data inside it.